<template>
  <!-- Input -->
  <h3>Input com máscaras</h3>
  <br-input
    type="text"
    mask="##/##/####"
    label="Data de nascimento (##/##/####)"
    placeholder="Informe a data de nascimento"
  ></br-input>
  <br />

  <br-input
    type="text"
    mask="(##) ####-####"
    label="Telefone (##) ####-####"
    placeholder="Informe o telefone"
  ></br-input>

  <br />
  <br-input type="text" mask="#####-###" label="Cep (#####-###)" placeholder="Informe o cep do destinatário"></br-input>
  <br />

  <h3>Input</h3>
  <br-input label="Nome completo" placeholder="Input Padrão"></br-input>
  <br />

  <br-input label-inline="Nome completo" placeholder="Input Padrão com label-inline"></br-input>
  <br />

  <br-input
    label-inline="Nome completo"
    placeholder="Input Padrão com label-inline e icon-sign"
    icon-sign="edit"
  ></br-input>
  <br />

  <br-input label="Nome completo" placeholder="Input Destaque (Highlight)" is-highlight density="large"></br-input>
  <br />

  <br-input label="Label/Rótulo" placeholder="Placeholder" icon-sign="edit"></br-input>
  <br />

  <br-input label="Senha" placeholder="Digite a senha de 8 a 11 dígitos" density="medium" ispassword></br-input>
  <br />

  <br-input label="Logar" placeholder="Digite seu usuário" density="small" icon="arrow-right"></br-input>
  <br />

  <br-input label="Nome" placeholder="Placeholder" icon-sign="user" icon="arrow-right"></br-input>
  <br />

  <br-input label-inline="Nome" placeholder="Placeholder" is-highlight icon-sign="user" icon="arrow-right"></br-input>
  <br />

  <br-input label-inline="Nome" placeholder="Placeholder" icon-sign="user" icon="arrow-right"></br-input>
  <br />

  <br-input label="CPF" placeholder="Digite somente números" disabled> </br-input>
  <br-message feedback state="warning">Campo desabilitado.</br-message>
  <br />

  <br-input mask="###.###.###-##" label="CPF" placeholder="Digite somente números" state="success"> </br-input>
  <br-message feedback state="success">CPF válido.</br-message>
  <br />

  <br-input mask="###.###.###-##" label="CPF" placeholder="Digite somente números" state="info"> </br-input>
  <br-message feedback state="info">CPF não cadastrado ainda.</br-message>
  <br />

  <br-input mask="###.###.###-##" label="CPF" placeholder="Digite somente números" state="warning"> </br-input>
  <br-message feedback state="warning">CPF verificar informação.</br-message>
  <br />

  <br-input mask="###.###.###-##" label="CPF" placeholder="Digite somente números" state="danger"> </br-input>
  <br-message feedback state="danger">CPF inválido.</br-message>
</template>
